Mẹo chọn đối tượng Bạn đang cần chọn một đối tượng nằm ở phía dưới một

đối tượng khác, bạn làm như thế nào? có một cách rất đơn giản: khi chọn bạn nhấn thêm ctr, pick 1 lần nếu trúng rồi thì thôi, nếu chưa trúng thì pick thêm lần nữa nó sẽ chọn xoay vòng các đối tượng nằm tại 1 vị trí cho đến lúc đối tượng bạn chọn là thì bạn nhấn phím space (enter hoặc phải chuột). Bạn đang bật một lúc nhiều lựa chọn osnap, vì thế khi bạn di chuột đến gần đối tượng, thay vào bắt theo cách bạn mong muốn, AutoCAD lại chọn kiểu snap không đúng? bạn chỉ cần nhấn phím tab chức năng osnap sẽ thay đổi xoay vòng cho đến kiểu bạn muốn thì thôi. Mẹo khi dùng fillet Một số người khi dùng lệnh fillet, chủ yếu dùng để vát hai đối tượng vào nhau (radius=0). Nên khi đang fillet với một bán kính khác, họ muốn biến radius về 0 thì lại dùng tham số R rồi gõ vào 0. Khi muốn quay trở lại bán kính đang làm thì lại làm lại. Để khắc phục điều này, AutoCAD cho bạn chức năng giữ SHIFT, lệnh fillet sẽ mặc định radius=0, nhả ra thì bán kính fillet lại trở thành bình thường. Mẹo bắt trung điểm Bạn muốn chỉ định một điểm là trung điểm của 2 điểm khác mà không có đối tượng nào để bắt midpoint? bạn sẽ vẽ một line đi qua 2 điểm đó và chọn midpoint, sau đó lại xóa line này đi? Không đến nỗi phức tạp như thế, khi bạn muốn xác định trung điểm, bạn chỉ cần nhập vào mtp hoặc m2p (middle between 2 point), ACAD sẽ hỏi bạn 2 điểm đầu mút, thế là bạn đã có điểm ở giữa. Mẹo hatch Để mảng hatch, pline có width dày không che mất các thông tin hatch, dim. Hãy sử dụng lệnh TEXTTOFRONT, lệnh này đưa toàn bộ text và/hoặc dim lên trước các đối tượng khác. Lệnh này bắt đầu có từ ACAD2005. Mẹo tạo block Nếu bạn muốn tạo một anonymous block (là block không có tên) trong bản vẽ bạn chỉ cần copy các đối tượng mà bạn muốn tạo block bằng cách dùng tổ hợp phím Ctr+C, sau đó dùng lệnh PasteBlock. Với block tạo bằng phương pháp này, bạn không cần phải quản lý block (thật ra là không quản lý được). Khi bạn xóa đối tượng này, ACAD tự động Purge các anonymous block ra khỏi block table sau mỗi lần mở file. Tham số của Zoom Mặc định, tốc độ zoom trong AutoCAD là khá thấp, trong khi bà con nhà ta zoom nhiều hơn vẽ. Mà zoom chậm thì khó chịu. Cho nên dùng lệnh sau đây để tăng tốc tối đa (lệnh

này không liên quan đến tăng tốc đồ họa của phần cứng nhỉ ) ZOOMFACTOR = 100 (100 là maximum rồi ) Từ AutoCAD 2006 đến 2008 có thêm hiệu ứng, các bạn sẽ biết mình đang zoom từ đâu …. nhưng nếu không có tăng tốc đồ họa, zoom không mượt, hì hì, hiệu ứng này sẽ gây cảm giác khó chịu Vì vậy tốt hơn hết là tắt béng đi, trở lại AutoCAD cũ. Các bạn dùng lệnh sau: VTOPTIONS Tắt bỏ hết 2 dòng option ở trên và ok là xong. Chỉ số trên và chỉ số dưới Muốn đánh Text trong Autocad mà có mũ trên hoặc dưới thì dùng lệnh gì? Ví dụ H2SO4 Lệnh MTEXT. Bạn muốn dùng để viết chữ trên đầu, bạn cho ký tự mũ (^) vào cuối. Bạn muốn dùng để viết chữ dưới chân, bạn cho ký tự mũ (^) vào đầu đoạn. Sau đó tô xanh đoạn mà bạn muốn viết kèm cả ký tự mũ, rồi nhấn vào phím a/b trên thanh công cụ mtext Làm thế nào để đo góc lớn hơn 180 độ? Vẫn dùng lệnh DIMANGULAR như bình thường, chỉ hơi khác một chút là các bạn đừng chọn góc giữa 2 line mà bạn chọn chức năng đo góc của Arc hay góc giữa 3 điểm là được. Ví dụ: Command: dimangular (enter) Select arc, circle, line, or <specify vertex>: (enter - đồng nghĩa với chọn mục specify vertex tức là chỉ định 3 đỉnh) Specify angle vertex: (pick vào điểm 1 - điểm gốc) Specify first angle endpoint: (chọn vào điểm 2 - nằm trên một cạnh của góc) Specify second angle endpoint: (chọn vào điểm 3 - nằm trên cạnh còn lại của góc) Specify dimension arc line location or [Mtext/Text/Angle]: (chọn vào điểm 4 - điểm mà đường dim sẽ đi qua) Dimension text = 231 (ví dụ thế) Nối các line, arc, lwpolyline không chạm nhau, bằng tính năng mới của lệnh pline Khi bạn muốn nối các line, arc, polyline thành 1 nhưng chúng lại không chạm nhau? Bạn dùng tham số Mutiple ngay sau khi sử dụng lệnh pline, sau đó sử dụng chức năng join: Command: pe PEDIT Select polyline or [Multiple]: m Select objects: Specify opposite corner: 11 found Select objects: Enter an option [Close/Open/Join/Width/Fit/Spline/Decurve/Ltype gen/Undo]: j Join Type = Extend Enter fuzz distance or [Jointype] <8.0270>: 5.0 10 segments added to polyline Enter an option [Close/Open/Join/Width/Fit/Spline/Decurve/Ltype gen/Undo]:

Lấy lại được cửa sổ dòng lệnh command trong ACAD: - CTRL + 9 Chuyển đổi cửa sổ giữa các file cad đang được bật lên, giúp cho việc chuyển đổi qua lại giữa các file mà có thể bạn muốn tham khảo: - Dùng phím Ctrl+Tab Hủy chọn đối tượng khi đánh dấu chọn nhầm: Khi chọn một đối tượng mà ta muốn hủy chọn đối tượng đó thôi mà các đối tượng khác vẫn được chọn không phải chọn lại từ đầu: (rất có ích khi lựa chọn đối tượng mà không mất công chọn lại từ đầu) -Chỉ lại vào đối tượng đó và đồng thời giữ phím Shift Khi muốn đối tượng khác cũng được gán thuộc tính như một đối tượng khác: rất có ích khi chỉnh sửa đối tượng trong bản vẽ. Dùng lệnh Matchdrop : lệnh tắt ma hoặc mj Khi muốn chọn lại đối tượng mà trước đó ta đã di chuyển : Sau khi đã di chuyển một đối tượng đến vị trí mới, mà đối tượng đó không phải là một block thì việc muốn chọn lại đối tượng đó để di chuyển đến vị trí mới ngay sau đó là điều mà làm chúng ta mất công nếu chọn thủ công từng đối tượng, rất may là trong trường hợp đó chúng ta có thể tiến hành chọn như sau: ta lại đánh lệnh move tiếp và khi select object thì ta đánh thông số p lập tức đối tượng vừa được di chuyển trước đó sẽ được chọn lại ngay lập tức. Khi muốn làm tươi lại bản vẽ bằng lệnh Regen: dùng để cập nhật các thiết lập về đường nét hoặc hiển thị, chẳng hạn khi ta đã đặt display resolution là 2000 thay cho 100 trước đó, đường tròn và các nét cong sẽ mượt mà hơn nhưng nhìn trên bản vẽ mà ta vẫn thấy không có thay đổi gì thì ta dùng lệnh Regen, sau lệnh này ta sẽ thấy những thay đổi hiện rõ ràng. Đưa ứng dụng viết bởi các file lập trình cho cad vào CAD: Đánh lệnh : ap Chọn file để load , các file đó là lsp, dvb, arx, vlx, dbx, fas Chú ý: riêng với file : mở file lsp thấy trong dòng lệnh nào có chữ defun c: thì chữ sau defun c: chính là lệnh tắt sử dụng của ứng dụng. Cách 2: Tools\Auto Lisp\ load applications Sau đó tìm đến file auto lisp để load sau đây là cách để load lisp vào sử dụng (tớ dùng ký hiệu (-) thay cho việc bạn gõ phím enter 1 lần)

) .. tìm đường dẫn tới 2 file lisp ở trên.lsp" vao vi tri nay. phai o tren dong co noi dung: "(princ) " . vào◊ tools◊ Có thể dùng cách chỉnh sửa khác: express đấy để tiến hành chỉnh sửa lệnh. nó sẽ xổ ra 1 cái bảng. ta có thể add vào cũng được mà không thay đổi lệnh tắt gốc của nó. (ctr+A.Mo file SUPPORT\acad*doc.lsp. gõ D rồi enter.Sau do chi dan den thu muc "FASTCAD". Bạn muốn vẽ nhiều tỉ lệ trong một bản vẽ : -Bạn muốn vẽ nhiều tỉ lệ trong một bản vẽ thì có thể tạo nhiều kiểu tỉ lệ trong cad. Nhan nut "OPEN" . khung Dimension style manager hiện ra.Luu file SUPPORT\acad*doc. nó sẽ hiện lên 1 cái bảng. Bạn tạo một kiểu style kích thước riêng cho nó. (ctr+V) Chu y : Noi dung vua chep vao phai o tren dong "(princ) " . bạn click vào chữ New.Chon nut "ADD". modify và chỉnh lại số liệu tại ô scale factor .Mo file FASTCAD\hamtutao.2) . 2.pgp thì tại dòng lệnh command ta phải đánh reok thì chương trình sẽ có tác dụng◊ init và chọn pgp file ngay mà không cần phải khởi động lại nữa. chep toan bo noi dung. Sau khi thay sửa đổi lệnh trong file acad.ví dụ bạn scale tỉ lệ 1/5 (0. command alias editor. tick vào add rùi tìm đường dẫn tới các file lisp là ok Chỉnh sửa lệnh tắt trong autocad trực tiếp từ file acad. Chay chuong trinh ACAD. Cach cai dat mot menu lenh tren thanh menubar: Vdu: HUONG DAN CAI DAT "FASTCAD" 1. Chuyen con tro xuong gan cuoi file. 3. tick vào load là có thể sử dụng được rùi để ko phải load lại lisp mỗi lần khởi động cad thì tick vào contents (có icon là hình cái cặp). Chon muc : TOOLS\OPTIONS\FILES\SUPPORT FILE SEARCH PATH.Chon file "fastcad.Tiep theo chon nut "LOAD". . Chep toan bo thu muc "FASTCAD" vao dia cung cua may (O dau? Tuy y. khi muốn dùng cái nào thì click chọn cái đó rồi click vào Current -> Close. vào đấy để tiến hành chỉnh các lệnh tắt hợp với thói quen sử dụng của mình và để thuận tiện hơn khi vẽ. "APPLY" 4. "OK".lsp lai.mnu".pgp: Tool\customize\ editprogram parameter (acad. sau đó thiết lập các thông số.Chon nut "OK".Chep noi dung file "hamtutao.. Dong tat ca cac file lai.lsp. Tai dong lenh COMMAND go : "menuload" . ctr+C) . .thì ban phải điền vào ô scale factor là 5 thay vì 1 như .pgp).bạn gõ AP (-). làm tương tự như thế để tạo kiểu kích thước có tỉ lệ khác.Chon nut "BROWSE".

Nếu cứ căn cứ vào ý nghía như vậy thì ta dễ dàng thiết lập được thông số scale factor cho các bản vẽ tương tụ như vậy với các dimstyle của các bản vẽ có tỉ lệ khác.50. cỡ chữ là 2.00 (ý nghĩa rằng một kích thước trên bản vẽ bằng 1 kích thước thực tế). cỡ chữ là 2. -Khi đó chọn thiết lập dímstyle cho các bản vẽ có tỉ lệ 1:2 thì hệ số scale factor sẽ là 2 (ý nghĩa rằng một kích thước trên bản vẽ bằng 0.. cỡ chữ là 2. chẳng hạn có thể thiết lập đó là scale factor là 1. cỡ chữ là 2.5 Tỉ lệ 1:50 scale factor là 0. cỡ chữ là 2.5 Ghi một đường kích thước liên tục với các đường kích thước khác: Dùng lệnh : Dimcontinue (dco) Chọn một đường kích thước có sẵn mà bạn định nối tiếp vào đó. cỡ chữ là 2.5 Tỉ lệ 1:400 scale factor là 400. vì vậy đặt hệ số nhân là 2).5 Tỉ lệ 1:2 scale factor là 2.5 Tỉ lệ 1:100 scale factor là 100.5 Tỉ lệ 1:50 scale factor là 50. cỡ chữ là 250 Tỉ lệ 1:2 scale factor là 50.5 Tỉ lệ 1:100 scale factor là 100.0. Theo cá nhân BKMetalx mà nói thì đây là một lệnh cực kì hay đấy).20. do đó để khi vẽ là 1 nhưng muốn kích thước hiển thị đúng với kích thước vật thật thì trên bản vẽ đó con số ghi phải là kích thước trên bản vẽ nhân với 2. Bản vẽ tỉ lệ 1/10 sẽ có dimstyle với hệ số scale factor là 10.5 Có thể đặt tỉ lệ theo cách định nghĩa khác: Ví dụ: Tỉ lệ 1:1 scale factor là 100. Command : Trên toolbar => Tools => Quick Select (hoạc nhấn Alt => T => K) > xuất hiện hộp thoại Quick Select như sau: . cỡ chữ là 2. Công dụng: Tìm nhanh và lựa chọn những đối tượng mà bạn muốn (Lệnh này rất nhiều công dụng khó liệt kê hết được. b. cỡ chữ là 2. Ví dụ: Tỉ lệ 1:1 scale factor là 1.. nói chung anh em thử cái sẽ biết ngay.mặc định Lưu ý khi định nghĩa kiểu kích thước (Dimstyle) cho bản vẽ: -Dùng lệnh command: d -Trước hết định nghĩa kiểu kích thước tỉ lệ 1:1 trước. cỡ chữ là 2.5 Tỉ lệ 1:20 scale factor là 20. cỡ chữ là 2. cỡ chữ là 2.5 Tỉ lệ 1:20 scale factor là 0.5 Tỉ lệ 1:400 scale factor là 400. LỰACHỌN VÀ CHỈNH SỬA NHIỀU ĐỐI TƯỢNG CÙNG LÚC Lệnh Quick Select: a.5 Tỉ lệ 1:10 scale factor là 10. cỡ chữ là 2.5 kích thước thực tế. như vậy bạn phải có ít nhất một đường kích thước sẵn có. cỡ chữ là 250 Tỉ lệ 1:10 scale factor là 0.10.

v) Mình chọn Color > để chọn tất cả các đối tượng có Color (mầu sắc) mà mình muốn chọn.. quy trình làm như sau: Command: Gõ E <Enter> Select Objects: Gõ ‘fi <Chú ý có dấu nháy trước chữ fi> <Enter> Trên màn hình hiển thị màn hình Objects selection Trong mục Select filter bạn ấn vào nút tam giác và chọn Layer (Vì tất cả nét kích thước được vẽ bằng lớp Kich thuoc). Nó giúp chúng ta lọc các đối tượng cần chọn một cách nhanh nhất... tại ô Object type ta chọn kiểu đối tượng mà cần tìm (ở đây mình chọn đối tượng là Multiple.v.. Sau khi chọn layer bạn nhấn trái chuột vào nút Select.. các bạn có thể tìm hiểu thêm những cái đó) => sau khi đã lựa chọn tất cả các đối tượng có mầu sắc như vậy bạn sẽ làm gì?. Mình gửi kèm theo một file Cad để hướng dẫn dễ hơn... rồi .=> Cũng như lệnh Find trước tiên là "lựa chọn vùng đối tượng" mà ta cần tìm.. => Tại ô Properties bạn chọn một trong những lựa chọn đưa ra (ví dụ: chọn mầu đối tượng cần tìm. chọn chiều dày. * Một số công dụng của Quick Select: Bạn có thể dung Quick Select để thay đổi một layer mà bạn muốn trong muôn vàn layer trong bản vẽ => rất nhanh phải không? Bạn có thể đổi tất cả mầu sắc một đối tượng trong rất nhiều mầu sắc => rất tiện phải không? Bạn có thể tìm tất cả các Mtext có đọ cao Heigh = 100 để đổi thành 200 => rất thú vị phải không? Lệnh Filter. Ứng dụng: Đây là một lệnh dùng bổ trợ cho các lệnh khác. => Giữ nguyên lựa chọn =Equals => Tại ô Value > bạn có thể chọn mầu sắc cho đối tượng cần tìm => Bấm OK vậy là ta đã chọn nhanh các đối tượng mà mình muốn(các giá trị khác giữ nguyên.. Đây là một lệnh rất hay. Line .. chọn layer cần tìm.. Bạn kéo con trỏ xuống và ấn trái chuột vào Kich thuoc. các bạn cũng có thể tìm với Mtext .. Bấm CTRL + 1 => để vào Properties => tha hồ chỉnh sửa đối tượng theo ý bạn nhé. bằng cách bấm vào "phím vuông nhỏ" bên phải > lựa chọn vùng miền cần tìm đối tượng > nhấn chuột phải để quay lại hộp thoạt Quick Select => Tiếp đến. nó bổ trợ rất nhiều cho chúng ta trong quá trình chỉnh sửa bản vẽ.. Ví dụ bạn muốn xóa tất cả các đường kích thước chẳng hạn. hiển thị lên tên tất cả các lớp đã được khai báo trong bản vẽ.

do vậy để tiến hành in ra không bị mờ chúng ta phải đặt lại lineweight khi in ấn. bạn phải chọn Center the plot sau đó trong plot to scale bạn chọn custome và định tỉ lệ 1mm = 1 unit . Sau đó bạn vẽ khung tên cách lề theo ý bạn trong khung vừa vẽ đó. vào lệnh plot. ví dụ bạn muốn in khổ giấy A3 với tỉ lệ 1/1000 .Lỗi đó là do khi in bạn để plot to scale ở trạng thái fix to paper. Dưới dòng lệnh vẫn hiển thị Select Objects: Bạn ấn Enter 2 lần liên tiếp thực hiện lệnh xóa tất cả các đối tượng lớp Kich thuoc.nhấn Ok. sẽ thấy dòng “ Layer = Kich thước ở phía trên (Kết thúc việc chọn đối tượng để lọc). chọn Properties của máy in --> Device and Documents Setting --> Userdefined Paper Sizes & Calibration --> Modify Standard Paper Sizes (Printable Area) --> chọn khổ giấy và bấm Modify để hiệu chỉnh khoảng cách canh lề phù hợp. bạn ấn trái chuột vào nút Add to list. Kết quả: In ấn không bị mờ Khi in có thể các nét vẽ do thiết lập lineweight nhỏ mà khi in có thể mờ. Quay lai cửa sổ Objects selection. Còn in bị lệch có lẽ bạn quên đánh dấu chọn Center the plot khi in . Khung bản vẽ đến mép giấy khi in Vấn đề: Làm sao để plot bản vẽ ra đúng như cái khung mình tạo nhỉ.ai bít chỉ giùm với.Khi vào lệnh in. trước hết bạn vẽ khung 297x420 . chọn máy in.? .nếu các khoảng offset từ mép giấy đến khung không đúng thì vừa xấu mà bản vẽ lại không đúng tỷ lệ nữa. Khi đó tất cả đối tượng có được vẽ bằng lớp Kich thuoc sẽ được chọn. Như hình dưới vùng chọn chính là hình chữ nhật màu trắng. (ví dụ mép trái khung cách giấy 20mm thì bản để đường khung trái cách mép trái khung A3 đúng 20 unit) . Tiếp theo đến quá trình lọc đối tượng: Bạn ấn trái chuột vào nút Apply ở góc dưới bên phải nó hiện ra một ô vuông còn dưới dòng lệnh hiển thị câu nhắc “>>Select Objects = Chọn đối tượng” Các bạn cần chọn vùng lọc đối tượng. Nếu bạn muốn khung tên của bạn cách đúng như bạn muốn bạn phải xác đinh đúng tỉ lệ bản vẽ bạn cần in và điền vào ở trạng thái custom. .

BẠN CÓ THỂ TẠO RA 1 CÁI # ĐỂ PHÙ HỢP VỚI KHUNG TÊN CỦA BẠN +DÙNG LỆNH ATT CHO CÁC BIẾN TRONG KHUNG TÊN +KHAI TRIÊN CÁI LISP CỦA MINH chúc bạn thành công!!! Phải nói thêm rằng.dwg vào Support +load lisp +lệnh là bv chú ý là số thứ tự bản vẽ nó nhẩy đấy khi muốn sửa các cái khác thuộc khung tên. với cách của tôi. bạn có thể làm 1 mục lục bản vẽ(số tthú tự và tên) chỉ trong 10' Vẽ các đường song song nhanh: Dùng lệnh Mline (ml) .Khoảng cách giữa các đường ...Để khung tên vừa đúng tiêu chuẩn: Vấn đề: Khi hoàn thiện bản vẽ chúng ta phải đặt khung tên cho chúng. Cách sử dụng: +copy cái file tvcn. sau khi vẽ rất nhiều bản vẽ. D3. nhập vào khoảng cách của các đường ta muốn vẽ. nếu sửa bằng tay thì rất lâu.. Chẳng hạn phải điền chuỗi D1.-1 sẽ đánh các số: 2. của Express Tools Nhiều khi chúng ta cần phải sửa từng text một để điền các số theo thứ tự tăng dần. số gia mà bạn cho vào.D1000 theo thứ tự tăng dần của trục Y. Lệnh Tcount của Express Tool cho phép chúng ta làm điều này.. chọn khung tên VỚI CÁI LISP ĐƠN GIẢN NÀY. -1. chọn tùy chọn Scale . tỷ lệ theo các khổ giấy khác nhau. Specify starting number and increment (Start.increment) <2. bạn dùng lệnh BE. -2. Làm sao để khung tên vừa đúng tiêu chuẩn. Đánh số thứ tự bằng lệnh Tcount. Command: tcount Chương trình sẽ cho bạn chọn đối tượng Select objects: Specify opposite corner: 5 found Select objects: Chương trình hỏi bạn sắp xếp các đối tượng theo chiều tăng trục x. 1.-1>: .. trục y hay theo thứ tự lúc bạn chọn các đối tượng Sort selected objects by [X/Y/Select-order] <Y>: Chương trình hỏi bạn số đầu tiên mà bạn đánh. Ví dụ 2. 0. D4. Mọi người hãy chia sẻ cách đặt khung tên đi. D2. .

] < Find&replace>: Nếu bạn chọn Find&replace.. Placement of numbers in text [Overwrite/Prefix/Suffix/Find&replace. . Link: http://blog.html 1.. nếu sửa bằng tay thì rất lâu. -1. Suffix . D3..viết thêm vào phía trước. số gia mà bạn cho vào. Enter search string : Và cuối cùng chương trình thông báo có bao nhiêu đối tượng text đã được sửa ..] < Find&replace>: Nếu bạn chọn Find&replace. Prefix . Enter search string <kts>: Và cuối cùng chương trình thông báo có bao nhiêu đối tượng text đã được sửa 5 objects modified. trục y hay theo thứ tự lúc bạn chọn các đối tượng Sort selected objects by [X/Y/Select-order] : Chương trình hỏi bạn số đầu tiên mà bạn đánh.-1 sẽ đánh các số: 2.35AD5BC0. máy hỏi thêm cụ từ mà bạn muốn chỉ định. D4.ghi đè luôn vào text.viết thêm vào phía sau. Find&replace . 0. Placement of numbers in text [Overwrite/Prefix/Suffix/Find&replace.D1000 theo thứ tự tăng dần của trục Y.-1>: Chương trình hỏi bạn cách đánh số vào text: Overwrite .. Suffix .. -2.Chương trình hỏi bạn cách đánh số vào text: Overwrite . Ví dụ 2.. Command: tcount Chương trình sẽ cho bạn chọn đối tượng Select objects: Specify opposite corner: 5 found Select objects: Chương trình hỏi bạn sắp xếp các đối tượng theo chiều tăng trục x. 1. Lệnh Tcount của Express Tool cho phép chúng ta làm điều này.timnhanh. Chẳng hạn phải điền chuỗi D1.increment) <2. Prefix viết thêm vào phía trước.viết thêm vào phía sau.ghi đè luôn vào text. máy hỏi thêm cụ từ mà bạn muốn chỉ định.Thay những cụm từ được chỉ định bằng các text số này. Specify starting number and increment (Start. D2. Đánh số thứ tự bằng lệnh Tcount Nhiều khi chúng ta cần phải sửa từng text một để điền các số theo thứ tự tăng dần.com/duongsite/comment/meo-vat-trongcad.Thay những cụm từ được chỉ định bằng các text số này. Find&replace .

Ký hiệu đặc biệt trong AutoCAD Trong ACAD. Mẹo tạo block Nếu bạn muốn tạo một anonymous block (là block không có tên) trong bản vẽ bạn chỉ cần copy các đối tượng mà bạn muốn tạo block bằng cách dùng tổ hợp phím Ctr+C. Bạn muốn dùng để viết chữ trên đầu. rồi nhấn vào phím a/b trên thanh công cụ mtext.5 objects modified. Chỉ số trên và chỉ số dưới Muốn đánh Text trong Autocad mà có mũ trên hoặc dưới thì dùng lệnh gì? Ví dụ H2SO4 Lệnh MTEXT. bạn cho ký tự mũ (^) vào đầu đoạn. bạn làm gì? Đơn giản. bạn dùng lệnh XLine. 3. pick vào tâm rồi pick vào 2 điểm thuộc 2 cạnh của góc. Để vẽ đường phân giác của 1 góc. sau đó dùng tham số B (Bisect). Bạn sẽ vẽ nên một đường thẳng XLine là phân giác của góc vừa rồi. . bạn cho ký tự mũ (^) vào cuối. Với block tạo bằng phương pháp này. Sau đó tô xanh đoạn mà bạn muốn viết kèm cả ký tự mũ. ví dụ %%64 là chữ @. Cụ thể: %%xxx là ký tự có mã là xxx. 2. 4. bạn có thể sử dụng ký tự %% trước một ký tự hoặc một số để có được mã một ký tự đặc biệt. 5. ACAD tự động Purge các anonymous block ra khỏi block table sau mỗi lần mở file. bạn không cần phải quản lý block (thật ra là không quản lý được). Bạn muốn dùng để viết chữ dưới chân. Khi bạn xóa đối tượng này. sau đó dùng lệnh PasteBlock. %%o là gạch đầu %%u là gạch chân %%d là ký tự độ (º) %%p là ký hiệu cộng trừ (±) %%c là ký hiệu phi (đường kính ống) %%% là % Thông báo bài không hợp lệ Đã lưu IP Đã khóa chức năng gửi bài.

..hainh (Thành viên) #957 Một Số Lệnh Thú Vị Trong Cad 12 Tháng trước đây Lệnh Find: Moderator Bài viết: 161 a. còn các bạn không muốn thay đổi hết. Công dụng: Tìm và thay đổi nhanh các đối tượng được lựa c mình hay dùng để sửa khung tên . bạn có một số lựa chọn ở muốn thay đổi tất cả từ khóa trong bản vẽ mà mình lựa chọn lê All. b. Command: Trên Command Line đánh lệnh FIND => Acad s Find and Replace như sau: Trên hộp thoại ta chọn Select Objects (Ô vuông có hình con ch thoại) => Ta lực chọn toàn bộ "vùng" đối tượng cần quản lý = chuột phải hoặc dấu "cách" để trở lại hộp thoại Find and Repla => Trên Find and Replace ta đánh từ khóa mà muốn tìm kiếm dụ như từ VTB chẳng hạn) ở ô Find text string => Tiếp đó tôi mình muốn đổi (Đổi ở đây là đổi từ khóa VTB bằng một từ kh Replace with. mà chỉ muốn thay m trong đó thì có thể bấm Find rồi Replace từng từ mà bạn muốn thay đổi được tất cả các từ VTB thành BKMetalx trong vô vàn vòng 1 phút.(ở đây mình dùng từ BKMetalx để thay thế từ B Khi đã thực hiện xong các bước trên. ..

.. Command : Trên toolbar => Tools => Quick Select (hoạc nh K) > xuất hiện hộp thoại Quick Select như sau: => Cũng như lệnh Find trước tiên là "lựa chọn vùng đối tượng bằng cách bấm vào "phím vuông nhỏ" bên phải > lựa chọn vùn đối tượng > nhấn chuột phải để quay lại hộp thoạt Quick Selec => Tiếp đến. tại ô Object type ta chọn kiểu đối tượng mà cần t chọn đối tượng là Multiple. Công dụng: Tìm nhanh và lựa chọn những đối tượng mà bạn rất nhiều công dụng khó liệt kê hết được. Theo cá nhân BKMetalx mà nói thì đây là một lệnh cự b.Lệnh Quick Select: a. các bạn cũng có thể tìm với Mtext . nói chung anh em th ngay .

. Kết thúc lệnh đối tượng sẽ được Offset đúng 1 k 2200/3. => Giữ nguyên lựa chọn =Equals => Tại ô Value > bạn có thể chọn mầu sắc cho đối tượng cần t => Bấm OK vậy là ta đã chọn nhanh các đối tượng mà mình m khác giữ nguyên. chọn đối tư hướng offset. các bạn có thể tìm hiểu thêm những cái đó) => sau khi đã lựa chọn tất cả các đối tượng có mầu sắc như vậ Bấm CTRL + 1 => để vào Properties => tha hồ chỉnh sửa đối nhé . bạn có thể dịch chuyển màn hình tới Enter kết thúc lệnh Pan và thực hiện tiếp lệnh hiện thời => Rấ bản vẽ lớn nhé ... chọn layer cần tìm. Ứng dụng: Khi bạn đang muốn Offset một đối tượng đi một k phải tính toán bạn làm như sau. Một số ví dụ cụ thể như sau: 1.=> Tại ô Properties bạn chọn một trong những lựa chọn đưa ra đối tượng cần tìm.. Tại dòng Command gõ O => ' Expression: gõ công thức ví dụ 2200/3 chẳng hạn. Dùng dấu nháy đơn kết hợp với lệnh Pan: Khi bạn đang thự bất kỳ bạn muốn kích hoạt lệnh pan mà không làm mất lệnh hi 'Pan " sẽ hiện ra bàn tay.. chọn chiều dày.. Dùng dấu nháy đơn kết hợp với lệnh Cal (máy tính). Lệnh Filter.v) Mình chọn Color > để chọn tất cả các đối tượng có Color (mầu muốn chọn. Đây là một lệnh rất hay.v. nó bổ trợ rất nhiều cho chúng ta trong sửa bản vẽ. 2. .. * Một số công dụng của Quick Select: Bạn có thể dung Quick Select để thay đổi một layer mà bạn m vàn layer trong bản vẽ => rất nhanh phải không? Bạn có thể đổi tất cả mầu sắc một đối tượng trong rất nhiều m phải không? Bạn có thể tìm tất cả các Mtext có đọ cao Heigh = 100 để đổi thú vị phải không? Dấu nháy đơn " ' " Dấu nháy đơn " ' " được dùng kèm với các lệnh khác để tạo hi khi vẽ.. Nó giúp chúng ta lọc các đối tượng cần chọn một Mình gửi kèm theo một file Cad để hướng dẫn dễ hơn.

Ứng dụng: Đây là một lệnh dùng bổ trợ cho các lệnh khác. Ví tất cả các đường kích thước chẳng hạn. . quy trình làm như sau: Command: Gõ E Select Objects: Gõ ‘fi Trên màn hình hiển thị màn hình Objects selection Trong mục Select filter bạn ấn vào nút tam giác và chọn Layer thước được vẽ bằng lớp Kich thuoc).

hiển thị lớp đã được khai báo trong bản vẽ. Bạn kéo con trỏ xuống và ấ Kich thuoc.Sau khi chọn layer bạn nhấn trái chuột vào nút Select. . rồi nhấn Ok.

Dưới dòng lệnh vẫn hiển thị Select Objects: Bạn ấn Enter 2 lần hiện lệnh xóa tất cả các đối tượng lớp Kich thuoc. bạn ấn trái chuột vào nút Ad dòng “ Layer = Kich thước ở phía trên (Kết thúc việc chọn đối Tiếp theo đến quá trình lọc đối tượng: Bạn ấn trái chuột vào n dưới bên phải nó hiện ra một ô vuông còn dưới dòng lệnh hiển “>>Select Objects = Chọn đối tượng” Các bạn cần chọn vùng Như hình dưới vùng chọn chính là hình chữ nhật màu trắng.Quay lai cửa sổ Objects selection. K tượng có được vẽ bằng lớp Kich thuoc sẽ được chọn. Kết quả: .

rất tiện để sao c hơn thì chép sẽ nhanh hơn ). bạn làm như thế nào? có một cách rất đơn giản: khi chọn bạn nhấn thêm ctr. có khi là 1/2 dung lượng bản vẽ. thay vào . 2. vì thế khi bạn di chuột đến gần đối tượng. style không dùng đến đi rất nhiều . Bạn đang cần chọn một đối tượng nằm ở phía dưới một đối tượng khác. Command: F Công dụng: Nối nhanh 2 đường thẳng vuông góc (chưa cắt nh các phần thừa Thường trong CAD có hỗ trợ tính toán một số phép tính cơ bả cấu trúc lệnh hết sức đơn giản như Command : (+ 100 100) --> kết quả xuất ra trên dòng comman Một số thủ thuật trong Autocad 1.Lệnh PURGE Command : PU Công dụng : dùng để lọc bỏ nhưng layer. Bạn đang bật một lúc nhiều lựa chọn osnap. pick 1 lần nếu trúng rồi thì thôi. Lệnh Fillet với R = 0. nếu chưa trúng thì pick thêm lần nữa nó sẽ chọn xoay vòng các đối tượng nằm tại 1 vị trí cho đến lúc đối tượng bạn chọn là thì bạn nhấn phím space (enter hoặc phải chuột). tăng tốc độ đọc cho máy.

khi bạn muốn xác định trung điểm. sau đó lại xóa line này đi? Không đến nỗi phức tạp như thế. Bạn vô tool>customize>Edit Program Parameters. mà em cũng đang dùng rất hiệu quả ..Nhờ mọi người chỉ giùm em cách để đặt lại lệnh cho dễ thao tác. thế là bạn đã có điểm ở giữa 4. điểm giữa là "M" . sau đó tìm đến các lệnh cần thay thế để đặt lại lệnh . _bạn vào menu Tools -> Display order -> Bring to front chọn đường màu xanh_ 6. Các bạn cho mình hỏi nếu trong bản vẽ có hai đường thẳng trùng nhau làm cách nào để cho một trong 2 đường đó hiển thị lên trước hoặc sau. VD: một đường màu đỏ nằm chồng lên đường màu xanh làm cách nào để đường màu xanh hiển thị lên trước. không cần zoom lại. -Nhiều bạn vẫn hay kích đúp để edit text hay dimmension. ACAD sẽ hỏi bạn 2 điểm đầu mút. Bạn muốn chỉ định một điểm là trung điểm của 2 điểm khác mà không có đối tượng nào để bắt midpoint? bạn sẽ vẽ một line đi qua 2 điểm đó và chọn midpoint. VD tâm đường tròn là "C" . xong ấn phím tắt của loại bắt điểm đó . đặc biệt sẽ dễ quản lý sau này 5. -Nhiều bạn vẫn phải vẽ mũi tên trong khi đó có thể dùng lệnh "le". điểm cuối là "E" .. bạn chỉ cần nhập vào mtp hoặc m2p (middle between 2 point).bắt theo cách bạn mong muốn. còn mình dùng lệnh "ed" như vậy thấy hiệu quả hơn nhiều đặc biệt là với dimmension. cũng không cấn ấn phím tab không biết bao giờ mới đến được điểm ưng ỵ Thử ấn ship và chuột phải đồng thời. với lệnh này ta có thể viết luôn text cùng với mũi tên mà không cần phải dùng thêm lệnh text. Thanks nhiu . AutoCAD lại chọn kiểu snap không đúng? bạn chỉ cần nhấn phím tab chức năng osnap sẽ thay đổi xoay vòng cho đến kiểu bạn muốn thì thôi cái Snap em có ý thế này hay hơn. lúc đang chọn giữa một đống như thế. các bác nghịch thêm nhé 3.Ví dụ như thay vì dùng MI (đối xứng) thì em có thể đặt lại là DX chẳng hạn.

Ta sẽ được 30 +0.2 và chọn a/b trên texttool. sau đó sử dụng chức năng join: Command: pe PEDIT Select polyline or [Multiple]: m Select objects: Specify opposite corner: 11 found Select objects: Enter an option [Close/Open/Join/Width/Fit/Spline/Decurve/Ltype gen/Undo]: j Join Type = Extend Enter fuzz distance or [Jointype] <8.1^-0. gõ thêm vào +0. cứ mỗi lần như thế lại phải với tay ra phím F8 để chọn( mà phím F8 lai rõ là xa nữa chứ) Có cách đơn giản là bạn cứ để thằng F8 ở chế độ vẽ thẳng Cứ mỗi lần vẽ chéo thì nhấn Shift thế là thành vẽ .2 .. Khi bạn muốn nối các line.0270>: 5.0 10 segments added to polyline Enter an option [Close/Open/Join/Width/Fit/Spline/Decurve/Ltype gen/Undo]: 9. arc. Hừ. polyline thành 1 nhưng chúng lại không chạm nhau? Bạn dùng tham số Mutiple ngay sau khi sử dụng lệnh pline.2 ta làm như sau: dùng lệnh ed chọn kích thước cần sửa.1/-0. -Nhiều bạn vẫn phải vẽ mũi tên trong khi đó có thể dùng lệnh "le".2 10.Các bạn vẽ thường phải sử dung phím F8 để vẽ đường chéo hoặc chuyển từ vẽ chéo sang vẽ thẳng.tắt 7. Bạn vào Express > Tools > Command Alias Editor. còn mình dùng lệnh "ed" như vậy thấy hiệu quả hơn nhiều đặc biệt là với dimmension. với lệnh này ta có thể viết luôn text cùng với mũi tên mà không cần phải dùng thêm lệnh text..1/-0.> Hiện bảng các lệnh tắt 8.1^-0.-Nhiều bạn vẫn hay kích đúp để edit text hay dimmension. đặc biệt sẽ dễ quản lý sau này -Để viết dung sai cho kích thước : ví dụ có một kích thước 30 ta cần viết dung sai +0. đánh dấu phần +0.

pick vào tâm rồi pick vào 2 điểm thuộc 2 cạnh của góc. trong đó có nhiều thứ để bạn chọn như: tên file. Bạn sẽ vẽ nên một đường thẳng XLine là phân giác của góc vừa rồi.. Đỡ mỏi tay hehe 11. bạn làm gì? đơn giản. Ấn tổ hợp phím Ctrl+P. sau đó dùng tham số B (Bisect).Để vẽ đường phân giác của 1 góc. vậy là ta đã có một file PDF rùi.Arc align text) 14. (Nó nằm trong menu Insert\field.chuyển đường spline thành đường polyline : dùng lệnh FLATTEN 17. ngày tháng trên bản vẽ cad dùng lệnh "field". đường dẫn hoặc ngày tháng .Chuyển file DWG sang PDF? Đơn giản thui bạn chuyển qua đuôi PDF bằng cách. chèn ảnh vào file CAD -PA1: bạn Insert ảnh đó vào Word rồi từ Word copy ảnh đó dán vào cad( nhưng ảnh bị vỡ trông rất xấu.Lệnh etrude khi bạn vẽ xong một polyline bạn muốn extrude lên thành mốt khối 3d thì bạn nhấn ctrl + alt đồng thời đưa con chỏ vào vùng polyline va bấm chuột trái và kéo ra nơi khác. ỏ bạn gõ chiều cao cho nó.Đo được góc có giá trị lớn hơn 180 độ Bạn vẫn dùng lệnh DIMANGULAR như bình thường. Dùng cửa sổ Windows và chon bản vẽ song ok. tại mục printer/Plotter bạn chọn DWG to PDF.chéo. 15.Tạo một tex theo hình vòng cung Bạn vẽ cung tròn ra .Text .cách hiện thị thời gian.dùng lệnh ARCTEXT (hoặc vào menu Express . bạn dùng lệnh XLine. 12.) . 13.. chỉ hơi khác một chút là bạn đừng chọn góc giữa 2 line mà bạn chọn chức năng đo góc của Arc hay góc giữa 3 điểm là được 18.) 16.

Modify Fix chúng co thể thay đổi chiều mũi tên bằng cách : Chọn kích thước .0 . Tính thể tích khối solid trong cad3D : gõ vol rùi làm the (defun c:vol () (alert (strcat "Volume is " (rtos (/ (vlax-get-property (vlax-ename->vla-object (car (entsel))) 'volume ) 1000000000.decimal places Trùm .mm->m3 ) 2 6 . rồi dùng creat from file để insert ảnh 19. Hút thuốc lá có hại cho sức khỏe! Mọi người ơi.nhấp chuột phải .bmp).-PA2: Trước hết bạn chuyển ảnh của bạn sang dạng bitmap (. Sau đó trên cad bạn vào menu insert. rồi chọn OLE Object..chọn Flip 20.Đổi chiều mũi tên kích thước: Ngoài việc điều khiển mũi tên trong D .Vẽ đường dạng độ phút giây: VD : 6o20'25" Bạn nhập @500<6d20'25" to be continue. xin đừng hút nữa!!!! hoangmai175 TOP 2# To Vừa Nhỏ Gửi vào 28-7-2011 08:02 Chỉ xem tác giả nà 1.

Khi bạn muốn nối 2 đường Line hoặc Pline lại với nhau nhất là dùng lệnh PE =>M => chọn 2 đường thẳng cần Join v . thay vào bắt theo cách bạn mong muốn. những ph với một số bạn thì là quá thường nhưn ghy vong giúp ít một chập chững như mình. vì thế khi bạn di tượng. Cái dành cho ai cần scale theo một thông số ỏ một mẫu kích thướ Nhưng trên đây là dùng Lisp. 4. Trên đây là một số cái.Bạn đang cần chọn một đối tượng nằm ở phía dưới một đố làm như thế nào? có một cách rất đơn giản: khi chọn bạn nhấ lần nếu trúng rồi thì thôi. chắc các bác cũng biết rồi) chọn đối tượng or Block nhấp chuột phại chọn Properties (or đến khung scale. mình mới dùng Cad chưa đc 1 tháng hành gì qua Cad. cái mình muốn là thử dùng nhữ k dùng Lisp thì có một số: 1/ Insert: Chỉ dùng đc cho Block. Không gian riêng Gửi tin nhắn Cho vào mục bè bạn Offline 3. nhập số hoặc bật cái bàn tính lênh để nhân o lần.Miss tunglinhonline Bài viết 3776 Tinh hoa 0 Điểm 8221 Danh vọng 8221 Tiền 15761 Trực tuyến 840 giờ Đang ký 3-1-2010 • • • • ) " m3" ) ) (princ) ) 2. nếu chưa trúng thì pick thêm lần nữ vòng các đối tượng nằm tại 1 vị trí cho đến lúc đối tượng bạn nhấn phím space (enter hoặc phải chuột). cho scale theo một đối nhập lệnh -> chọn đối tượng-> chọn cạnh 2 cạnh trục X -> ch đối tượng mẫu (tiếp tục làm vậy đối với trục Y) là xong. chủ yếu học hỏi anh em trên này. nhưng có thể sai 2/ Align: Chỉ scale ti lệ theo một đối tượng mẫu 3/ Properties (cái này mới mò ra. scale đc một chiều. AutoCAD lại không đúng? bạn chỉ cần nhấn phím tab chức năng osnap sẽ vòng cho đến kiểu bạn muốn thì thôi. nhưn cùng vẫn tìm ra đc scale mà k cần dùng Lisp. Bạn đang bật một lúc nhiều lựa chọn osnap. cái này dùng chuẩn nhưng có phần chậm hơn Lisp. scale 1 chiều 1/ Lisp: a/ XSC : scale rất ngon : chỉ nhập lệnh -> chọn đối tượng -> số scale b/ SCXY: quá tuyệt cho người dùng.

Khi muốn quay trở lại bán kính đang làm thì lại làm lại.bạn cứ đường nằm trên đi rồi Move cái đường bên dưới đi. Mẹo bắt trung điểm Bạn muốn chỉ định một điểm là trung điểm của 2 điểm khác mà không có đối tượng nào để bắt midpoint? bạn sẽ vẽ một line đi qua 2 điểm đó và chọn midpoint. khi bạn muốn xác định trung điểm. Bạn có 2 đường thẳng đè lên nhau và bạn muốn chọn hay nhưng nó lại nằm dưới đường kia. AutoCAD lại chọn kiểu snap không đúng? bạn chỉ cần nhấn phím tab chức năng osnap sẽ thay đổi xoay vòng cho đến kiểu bạn muốn thì thôi. vì thế khi bạn di chuột đến gần đối tượng.Ngoài cách mà bác Hoành người hay vẽ 1 đường làm đường xác định rồi Move đường n mới xoá được đường bên dưới rồi lại Move lại đường kia vào công nhưng cũng rất hiệu quả là bạn dùng lệnh OOPS. Lenh bat trung diem giua hai diem mtp Mẹo chọn đối tượng Bạn đang cần chọn một đối tượng nằm ở phía dưới một đối tượng khác. bạn chỉ cần nhập vào mtp hoặc m2p (middle between 2 point).khoảng hở nhưng có 1 cách rất nhanh và chỉ mất 1s thao tác lệnh Fillet : F => giữ Shift + Click chọn 2 đường thẳng cần J 5. • Ve mui ten dung lenh le. AutoCAD cho bạn chức năng giữ SHIFT. Để khắc phục điều này. nhả ra thì bán kính fillet lại trở thành bình thường. pick 1 lần nếu trúng rồi thì thôi. chủ yếu dùng để vát hai đối tượng vào nhau (radius=0). họ muốn biến radius về 0 thì lại dùng tham số R rồi gõ vào 0.sau đó bạ đường bạn xoá trước đó sẽ hồi phục lại ngay(lệnh này chỉ hồ gần nhất và nó không phải là Undo). lệnh fillet sẽ mặc định radius=0. Bạn đang bật một lúc nhiều lựa chọn osnap. bạn làm như thế nào? có một cách rất đơn giản: khi chọn bạn nhấn thêm ctr. Mẹo khi dùng fillet Một số người khi dùng lệnh fillet. thay vào bắt theo cách bạn mong muốn. thế là bạn đã có điểm ở giữa. Mẹo hatch . nếu chưa trúng thì pick thêm lần nữa nó sẽ chọn xoay vòng các đối tượng nằm tại 1 vị trí cho đến lúc đối tượng bạn chọn là thì bạn nhấn phím space (enter hoặc phải chuột). ACAD sẽ hỏi bạn 2 điểm đầu mút. Nên khi đang fillet với một bán kính khác. sau đó lại xóa line này đi? Không đến nỗi phức tạp như thế.

Ví dụ: Command: dimangular (enter) Select arc. Khi bạn xóa đối tượng này. rồi nhấn vào phím a/b trên thanh công cụ mtext Làm thế nào để đo góc lớn hơn 180 độ? Vẫn dùng lệnh DIMANGULAR như bình thường. hì hì. Cho nên dùng lệnh sau đây để tăng tốc tối đa (lệnh này không liên quan đến tăng tốc đồ họa của phần cứng nhỉ ) ZOOMFACTOR = 100 (100 là maximum rồi ) Từ AutoCAD 2006 đến 2008 có thêm hiệu ứng. trở lại AutoCAD cũ. zoom không mượt. các bạn sẽ biết mình đang zoom từ đâu …. or <specify vertex>: (enter . line. nhưng nếu không có tăng tốc đồ họa. ACAD tự động Purge các anonymous block ra khỏi block table sau mỗi lần mở file. tốc độ zoom trong AutoCAD là khá thấp. Bạn muốn dùng để viết chữ dưới chân. Sau đó tô xanh đoạn mà bạn muốn viết kèm cả ký tự mũ.Để mảng hatch. Chỉ số trên và chỉ số dưới Muốn đánh Text trong Autocad mà có mũ trên hoặc dưới thì dùng lệnh gì? Ví dụ H2SO4 Lệnh MTEXT. Với block tạo bằng phương pháp này. circle. bạn cho ký tự mũ (^) vào cuối. trong khi bà con nhà ta zoom nhiều hơn vẽ. Hãy sử dụng lệnh TEXTTOFRONT. Bạn muốn dùng để viết chữ trên đầu. Mà zoom chậm thì khó chịu. Các bạn dùng lệnh sau: VTOPTIONS Tắt bỏ hết 2 dòng option ở trên và ok là xong. dim. lệnh này đưa toàn bộ text và/hoặc dim lên trước các đối tượng khác. bạn cho ký tự mũ (^) vào đầu đoạn.đồng nghĩa với chọn mục specify vertex tức là chỉ định 3 đỉnh) Specify angle vertex: (pick vào điểm 1 . pline có width dày không che mất các thông tin hatch. hiệu ứng này sẽ gây cảm giác khó chịu Vì vậy tốt hơn hết là tắt béng đi. bạn không cần phải quản lý block (thật ra là không quản lý được). Lệnh này bắt đầu có từ ACAD2005. Tham số của Zoom Mặc định. sau đó dùng lệnh PasteBlock.điểm gốc) . chỉ hơi khác một chút là các bạn đừng chọn góc giữa 2 line mà bạn chọn chức năng đo góc của Arc hay góc giữa 3 điểm là được. Mẹo tạo block Nếu bạn muốn tạo một anonymous block (là block không có tên) trong bản vẽ bạn chỉ cần copy các đối tượng mà bạn muốn tạo block bằng cách dùng tổ hợp phím Ctr+C.

. polyline thành 1 nhưng chúng lại không chạm nhau? Bạn dùng tham số Mutiple ngay sau khi sử dụng lệnh pline. sau đó sử dụng chức năng join: Command: pe PEDIT Select polyline or [Multiple]: m Select objects: Specify opposite corner: 11 found Select objects: Enter an option [Close/Open/Join/Width/Fit/Spline/Decurve/Ltype gen/Undo]: j Join Type = Extend Enter fuzz distance or [Jointype] <8.0270>: 5. arc.điểm mà đường dim sẽ đi qua) Dimension text = 231 (ví dụ thế) Nối các line.nằm trên một cạnh của góc) Specify second angle endpoint: (chọn vào điểm 3 .Specify first angle endpoint: (chọn vào điểm 2 .Dùng phím Ctrl+Tab Hủy chọn đối tượng khi đánh dấu chọn nhầm: Khi chọn một đối tượng mà ta muốn hủy chọn đối tượng đó thôi mà các đối tượng khác vẫn được chọn không phải chọn lại từ đầu: (rất có ích khi lựa chọn đối tượng mà không mất công chọn lại từ đầu) -Chỉ lại vào đối tượng đó và đồng thời giữ phím Shift Khi muốn đối tượng khác cũng được gán thuộc tính như một đối tượng khác: rất có ích khi chỉnh sửa đối tượng trong bản vẽ. lwpolyline không chạm nhau.nằm trên cạnh còn lại của góc) Specify dimension arc line location or [Mtext/Text/Angle]: (chọn vào điểm 4 . mà đối tượng đó không phải là một block thì việc muốn chọn lại đối tượng đó để di chuyển đến vị trí mới ngay sau đó là điều mà làm chúng ta mất công nếu chọn thủ công từng đối tượng. bằng tính năng mới của lệnh pline Khi bạn muốn nối các line. Dùng lệnh Matchdrop : lệnh tắt ma hoặc mj Khi muốn chọn lại đối tượng mà trước đó ta đã di chuyển : Sau khi đã di chuyển một đối tượng đến vị trí mới.0 10 segments added to polyline Enter an option [Close/Open/Join/Width/Fit/Spline/Decurve/Ltype gen/Undo]: Lấy lại được cửa sổ dòng lệnh command trong ACAD: .CTRL + 9 Chuyển đổi cửa sổ giữa các file cad đang được bật lên. arc. giúp cho việc chuyển đổi qua lại giữa các file mà có thể bạn muốn tham khảo: . rất may là trong trường hợp đó chúng ta có thể tiến hành chọn như sau: ta lại đánh lệnh move tiếp và khi select object thì ta đánh thông số p lập tức đối tượng vừa được di chuyển trước đó sẽ được chọn lại ngay lập tức.

tìm đường dẫn tới 2 file lisp ở trên. (ctr+V) .pgp). Chep toan bo thu muc "FASTCAD" vao dia cung cua may (O dau? Tuy y.Mo file SUPPORTacad*doc. vlx. sau lệnh này ta sẽ thấy những thay đổi hiện rõ ràng. Đưa ứng dụng viết bởi các file lập trình cho cad vào CAD: Đánh lệnh : ap Chọn file để load . phai o tren dong co noi dung: "(princ) " . tick vào add rùi tìm đường dẫn tới các file lisp là ok Chỉnh sửa lệnh tắt trong autocad trực tiếp từ file acad. (ctr+A. nó sẽ xổ ra 1 cái bảng.pgp thì tại dòng lệnh command ok thì chương trình sẽ có tác◊ ta phải đánh reinit và chọn pgp file dụng ngay mà không cần phải khởi động lại nữa. nó sẽ hiện lên 1 cái bảng. Sau khi thay sửa đổi lệnh trong file acad.lsp. Cach cai dat mot menu lenh tren thanh menubar: Vdu: HUONG DAN CAI DAT "FASTCAD" 1. vào đấy để tiến hành chỉnh các lệnh tắt hợp với thói quen sử dụng của mình và để thuận tiện hơn khi vẽ. vào◊ tools◊ Có thể dùng cách chỉnh sửa khác: express đấy để tiến hành chỉnh sửa lệnh. dbx. chẳng hạn khi ta đã đặt display resolution là 2000 thay cho 100 trước đó. dvb. tick vào load là có thể sử dụng được rùi để ko phải load lại lisp mỗi lần khởi động cad thì tick vào contents (có icon là hình cái cặp).Chep noi dung file "hamtutao.lsp" vao vi tri nay. ctr+C) . Cách 2: ToolsAuto Lisp load applications Sau đó tìm đến file auto lisp để load sau đây là cách để load lisp vào sử dụng (tớ dùng ký hiệu (-) thay cho việc bạn gõ phím enter 1 lần) bạn gõ AP (-).pgp: Toolcustomize editprogram parameter (acad. đường tròn và các nét cong sẽ mượt mà hơn nhưng nhìn trên bản vẽ mà ta vẫn thấy không có thay đổi gì thì ta dùng lệnh Regen. fas Chú ý: riêng với file : mở file lsp thấy trong dòng lệnh nào có chữ defun c: thì chữ sau defun c: chính là lệnh tắt sử dụng của ứng dụng.lsp. command alias editor. ta có thể add vào cũng được mà không thay đổi lệnh tắt gốc của nó. chep toan bo noi dung. arx.Khi muốn làm tươi lại bản vẽ bằng lệnh Regen: dùng để cập nhật các thiết lập về đường nét hoặc hiển thị.) . Chuyen con tro xuong gan cuoi file.Mo file FASTCADhamtutao. các file đó là lsp.

5 Tỉ lệ 1:50 scale factor là 0.Chon nut "ADD".2) . Chay chuong trinh ACAD.Sau do chi dan den thu muc "FASTCAD". cỡ chữ là 2. Dong tat ca cac file lai.50. "OK". cỡ chữ là 250 Tỉ lệ 1:2 scale factor là 50.5 Tỉ lệ 1:100 scale factor là 100..lsp lai.5 Tỉ lệ 1:10 scale factor là 10. -Khi đó chọn thiết lập dímstyle cho các bản vẽ có tỉ lệ 1:2 thì hệ số scale factor sẽ là 2 (ý nghĩa rằng một kích thước trên bản vẽ bằng 0. Tai dong lenh COMMAND go : "menuload" .5 Tỉ lệ 1:2 scale factor là 2.5 Tỉ lệ 1:20 scale factor là 0. cỡ chữ là 2. khung Dimension style manager hiện ra. do đó để khi vẽ là 1 nhưng muốn kích thước hiển thị đúng với kích thước vật thật thì trên bản vẽ đó con số ghi phải là kích thước trên bản vẽ nhân với 2.20. cỡ chữ là 2. Chon muc : TOOLSOPTIONSFILESSUPPORT FILE SEARCH PATH. cỡ chữ là 2. cỡ chữ là 2. cỡ chữ là 2.5 Tỉ lệ 1:50 scale factor là 50.ví dụ bạn scale tỉ lệ 1/5 (0. .mnu".thì ban phải điền vào ô scale factor là 5 thay vì 1 như mặc định Lưu ý khi định nghĩa kiểu kích thước (Dimstyle) cho bản vẽ: -Dùng lệnh command: d -Trước hết định nghĩa kiểu kích thước tỉ lệ 1:1 trước.0. sau đó thiết lập các thông số.Chon nut "OK".5 Tỉ lệ 1:100 scale factor là 100. vì vậy đặt hệ số nhân là 2). 2.5 Có thể đặt tỉ lệ theo cách định nghĩa khác: Ví dụ: Tỉ lệ 1:1 scale factor là 100. Bản vẽ tỉ lệ 1/10 sẽ có dimstyle với hệ số scale factor là 10. 3. Bạn muốn vẽ nhiều tỉ lệ trong một bản vẽ : -Bạn muốn vẽ nhiều tỉ lệ trong một bản vẽ thì có thể tạo nhiều kiểu tỉ lệ trong cad. chẳng hạn có thể thiết lập đó là scale factor là 1. .Chu y : Noi dung vua chep vao phai o tren dong "(princ) " . Nhan nut "OPEN" .00 (ý nghĩa rằng một kích thước trên bản vẽ bằng 1 kích thước thực tế).Chon nut "BROWSE". Ví dụ: Tỉ lệ 1:1 scale factor là 1.Tiep theo chon nut "LOAD". gõ D rồi enter.10.. cỡ chữ là 250 Tỉ lệ 1:10 scale factor là 0. cỡ chữ là 2.Luu file SUPPORTacad*doc.Chon file "fastcad. Nếu cứ căn cứ vào ý nghía như vậy thì ta dễ dàng thiết lập được thông số scale factor cho các bản vẽ tương tụ như vậy với các dimstyle của các bản vẽ có tỉ lệ khác.5 kích thước thực tế. cỡ chữ là 2. "APPLY" 4.5 Tỉ lệ 1:20 scale factor là 20.5 . cỡ chữ là 2. bạn click vào chữ New. làm tương tự như thế để tạo kiểu kích thước có tỉ lệ khác. khi muốn dùng cái nào thì click chọn cái đó rồi click vào Current -> Close. Bạn tạo một kiểu style kích thước riêng cho nó.5 Tỉ lệ 1:400 scale factor là 400. modify và chỉnh lại số liệu tại ô scale factor . cỡ chữ là 2. cỡ chữ là 2.

. Line .. Mình gửi kèm theo một file Cad để hướng dẫn dễ hơn. bằng cách bấm vào "phím vuông nhỏ" bên phải > lựa chọn vùng miền cần tìm đối tượng > nhấn chuột phải để quay lại hộp thoạt Quick Select => Tiếp đến. => Giữ nguyên lựa chọn =Equals => Tại ô Value > bạn có thể chọn mầu sắc cho đối tượng cần tìm => Bấm OK vậy là ta đã chọn nhanh các đối tượng mà mình muốn(các giá trị khác giữ nguyên. Bấm CTRL + 1 => để vào Properties => tha hồ chỉnh sửa đối tượng theo ý bạn nhé.v) Mình chọn Color > để chọn tất cả các đối tượng có Color (mầu sắc) mà mình muốn chọn. tại ô Object type ta chọn kiểu đối tượng mà cần tìm (ở đây mình chọn đối tượng là Multiple. các bạn cũng có thể tìm với Mtext . . Theo cá nhân BKMetalx mà nói thì đây là một lệnh cực kì hay đấy). => Tại ô Properties bạn chọn một trong những lựa chọn đưa ra (ví dụ: chọn mầu đối tượng cần tìm. chọn layer cần tìm. Đây là một lệnh rất hay. Công dụng: Tìm nhanh và lựa chọn những đối tượng mà bạn muốn (Lệnh này rất nhiều công dụng khó liệt kê hết được.v. nó bổ trợ rất nhiều cho chúng ta trong quá trình chỉnh sửa bản vẽ.. * Một số công dụng của Quick Select: Bạn có thể dung Quick Select để thay đổi một layer mà bạn muốn trong muôn vàn layer trong bản vẽ => rất nhanh phải không? Bạn có thể đổi tất cả mầu sắc một đối tượng trong rất nhiều mầu sắc => rất tiện phải không? Bạn có thể tìm tất cả các Mtext có đọ cao Heigh = 100 để đổi thành 200 => rất thú vị phải không? Lệnh Filter. b. các bạn có thể tìm hiểu thêm những cái đó) => sau khi đã lựa chọn tất cả các đối tượng có mầu sắc như vậy bạn sẽ làm gì?. chọn chiều dày. nói chung anh em thử cái sẽ biết ngay... như vậy bạn phải có ít nhất một đường kích thước sẵn có.. cỡ chữ là 2.5 Ghi một đường kích thước liên tục với các đường kích thước khác: Dùng lệnh : Dimcontinue (dco) Chọn một đường kích thước có sẵn mà bạn định nối tiếp vào đó. Nó giúp chúng ta lọc các đối tượng cần chọn một cách nhanh nhất.. LỰACHỌN VÀ CHỈNH SỬA NHIỀU ĐỐI TƯỢNG CÙNG LÚC Lệnh Quick Select: a... Command : Trên toolbar => Tools => Quick Select (hoạc nhấn Alt => T => K) > xuất hiện hộp thoại Quick Select như sau: => Cũng như lệnh Find trước tiên là "lựa chọn vùng đối tượng" mà ta cần tìm......Tỉ lệ 1:400 scale factor là 400..

? . sẽ thấy dòng “ Layer = Kich thước ở phía trên (Kết thúc việc chọn đối tượng để lọc).Khi vào lệnh in. hiển thị lên tên tất cả các lớp đã được khai báo trong bản vẽ. do vậy để tiến hành in ra không bị mờ chúng ta phải đặt lại lineweight khi in ấn. rồi nhấn Ok. Bạn kéo con trỏ xuống và ấn trái chuột vào Kich thuoc. chọn Properties của máy in --> Device and Documents Setting --> User-defined Paper Sizes & Calibration --> Modify Standard Paper Sizes (Printable Area) --> chọn khổ giấy và bấm Modify để hiệu chỉnh khoảng cách canh lề phù hợp. Quay lai cửa sổ Objects selection. Như hình dưới vùng chọn chính là hình chữ nhật màu trắng. Nếu bạn muốn khung tên của bạn cách đúng như bạn muốn bạn phải xác đinh đúng tỉ lệ bản vẽ bạn cần in và điền vào ở trạng thái custom. Khung bản vẽ đến mép giấy khi in Vấn đề: Làm sao để plot bản vẽ ra đúng như cái khung mình tạo nhỉ. Còn in bị lệch có lẽ bạn quên đánh dấu chọn Center the plot khi in . Dưới dòng lệnh vẫn hiển thị Select Objects: Bạn ấn Enter 2 lần liên tiếp thực hiện lệnh xóa tất cả các đối tượng lớp Kich thuoc.Lỗi đó là do khi in bạn để plot to scale ở trạng thái fix to paper. . Khi đó tất cả đối tượng có được vẽ bằng lớp Kich thuoc sẽ được chọn. Kết quả: In ấn không bị mờ Khi in có thể các nét vẽ do thiết lập lineweight nhỏ mà khi in có thể mờ. Sau khi chọn layer bạn nhấn trái chuột vào nút Select.ai bít chỉ giùm với.Ứng dụng: Đây là một lệnh dùng bổ trợ cho các lệnh khác. ví dụ bạn muốn in khổ giấy A3 với tỉ lệ 1/1000 . Sau đó bạn vẽ khung tên cách lề theo ý bạn trong khung vừa vẽ đó. Ví dụ bạn muốn xóa tất cả các đường kích thước chẳng hạn.nếu các khoảng offset từ mép giấy đến khung không đúng thì vừa xấu mà bản vẽ lại không đúng tỷ lệ nữa. chọn máy in. quy trình làm như sau: Command: Gõ E <Enter> Select Objects: Gõ ‘fi <Chú ý có dấu nháy trước chữ fi> <Enter> Trên màn hình hiển thị màn hình Objects selection Trong mục Select filter bạn ấn vào nút tam giác và chọn Layer (Vì tất cả nét kích thước được vẽ bằng lớp Kich thuoc). trước hết bạn vẽ khung 297x420 . (ví dụ mép trái khung cách giấy 20mm thì bản để đường khung trái cách mép trái khung A3 đúng 20 unit) . vào lệnh plot. bạn ấn trái chuột vào nút Add to list. bạn phải chọn Center the plot sau đó trong plot to scale bạn chọn custome và định tỉ lệ 1mm = 1 unit . Tiếp theo đến quá trình lọc đối tượng: Bạn ấn trái chuột vào nút Apply ở góc dưới bên phải nó hiện ra một ô vuông còn dưới dòng lệnh hiển thị câu nhắc “>>Select Objects = Chọn đối tượng” Các bạn cần chọn vùng lọc đối tượng.

nhập vào khoảng cách của các đường ta muốn vẽ. Prefix viết thêm vào phía trước. số gia mà bạn cho vào. sau khi vẽ rất nhiều bản vẽ. Cách sử dụng: +copy cái file tvcn.Khoảng cách giữa các đường . bạn dùng lệnh BE. Lệnh Tcount của Express Tool cho phép chúng ta làm điều này. -1. .viết thêm vào phía sau. chọn khung tên [Bạn cần đăng ký thành viên để xem được nội dung ẩn này. tỷ lệ theo các khổ giấy khác nhau..-1 sẽ đánh các số: 2. trục y hay theo thứ tự lúc bạn chọn các đối tượng Sort selected objects by [X/Y/Select-order] <Y>: Chương trình hỏi bạn số đầu tiên mà bạn đánh... Find&replace . chọn tùy chọn Scale .increment) <2. Chẳng hạn phải điền chuỗi D1. ] VỚI CÁI LISP ĐƠN GIẢN NÀY. Mọi người hãy chia sẻ cách đặt khung tên đi. Làm sao để khung tên vừa đúng tiêu chuẩn. 0. với cách của tôi. Ví dụ 2.Thay những . D4. BẠN CÓ THỂ TẠO RA 1 CÁI # ĐỂ PHÙ HỢP VỚI KHUNG TÊN CỦA BẠN +DÙNG LỆNH ATT CHO CÁC BIẾN TRONG KHUNG TÊN +KHAI TRIÊN CÁI LISP CỦA MINH chúc bạn thành công!!! Phải nói thêm rằng. Command: tcount Chương trình sẽ cho bạn chọn đối tượng Select objects: Specify opposite corner: 5 found Select objects: Chương trình hỏi bạn sắp xếp các đối tượng theo chiều tăng trục x.D1000 theo thứ tự tăng dần của trục Y. D3.-1>: Chương trình hỏi bạn cách đánh số vào text: Overwrite . Suffix . -2.ghi đè luôn vào text...dwg vào Support +load lisp +lệnh là bv chú ý là số thứ tự bản vẽ nó nhẩy đấy khi muốn sửa các cái khác thuộc khung tên. bạn có thể làm 1 mục lục bản vẽ(số tthú tự và tên) chỉ trong 10' Vẽ các đường song song nhanh: Dùng lệnh Mline (ml) . Specify starting number and increment (Start. D2. nếu sửa bằng tay thì rất lâu. 1. Đánh số thứ tự bằng lệnh Tcount. của Express Tools Nhiều khi chúng ta cần phải sửa từng text một để điền các số theo thứ tự tăng dần.Để khung tên vừa đúng tiêu chuẩn: Vấn đề: Khi hoàn thiện bản vẽ chúng ta phải đặt khung tên cho chúng.

. Mẹo chọn đối tượng Bạn đang cần chọn một đối tượng nằm ở phía dưới một đối tượng khác. Mẹo bắt trung điểm Bạn muốn chỉ định một điểm là trung điểm của 2 điểm khác mà không có đối tượng nào để bắt midpoint? bạn sẽ vẽ một line đi qua 2 điểm đó và chọn midpoint. Enter search string <kts>: Và cuối cùng chương trình thông báo có bao nhiêu đối tượng text đã được sửa 5 objects modified. nếu chưa trúng thì pick thêm lần nữa nó sẽ chọn xoay vòng các đối tượng nằm tại 1 vị trí cho đến lúc đối tượng bạn chọn là thì bạn nhấn phím space (enter hoặc phải chuột). nhấn phím Shift sẽ trở thành lệnh extend. kết quả hiện ra các cách lựa chọn Trong trường hợp biên extend bị ngắn. không biết mọi người đã biết chưa? . Bạn đang bật một lúc nhiều lựa chọn osnap. bạn làm như thế nào? có một cách rất đơn giản: khi chọn bạn nhấn thêm ctr. vì thế khi bạn di chuột đến gần đối tượng. thay vào bắt theo cách bạn mong muốn. đến lúc chọn đối tượng cần chặt. bạn chỉ cần .] < Find&replace>: Nếu bạn chọn Find&replace. các bạn cũng có thể dùng tham số e để dùng đường này cắt đường kia mặc dù chúng không giao nhau. pick 1 lần nếu trúng rồi thì thôi. Placement of numbers in text [Overwrite/Prefix/Suffix/Find&replace. sau đó ấn một loạt kí tự cho lỗi . Ngoài phim F nếu muốn biết có những cách lựa chọn jì khác nữa thì thử ẩn lệnh move . máy hỏi thêm cụ từ mà bạn muốn chỉ định..Khi dùng lệnh trim. chọn đối tượng chặt xong. khi bạn muốn xác định trung điểm. AutoCAD đã hướng dẫn rất kỹ: Select object to trim or shift-select to extend nhưng không mấy ai để ý. đường cần extend phi ra ngoài biên có thể tham số này cũng tiết kiệm được thời gian Lệnh Trim cũng hoàn toàn tương tự. Trim and Extend Hai lệnh này có một số điều cơ bản nhưng khá thú vị. . và ngược lại. Thật ra. nó hiện ra hết VD: move _ Enter aaaaa_enter (Sưu tầm) /.Dùng tham số f (fence) lúc dòng lệnh hỏi object to trim/extend sẽ chặt/duỗi được nhiều đối tượng cùng một lúc..cụm từ được chỉ định bằng các text số này. AutoCAD lại chọn kiểu snap không đúng? bạn chỉ cần nhấn phím tab chức năng osnap sẽ thay đổi xoay vòng cho đến kiểu bạn muốn thì thôi. sau đó lại xóa line này đi? Không đến nỗi phức tạp như thế.

Nên khi đang fillet với một bán kính khác. chủ yếu dùng để vát hai đối tượng vào nhau (radius=0). trong khi bà con nhà ta zoom nhiều hơn vẽ. Tham số của Zoom Mặc định. Mẹo khi dùng fillet Một số người khi dùng lệnh fillet. Lệnh này bắt đầu có từ ACAD2005. Cho nên dùng lệnh sau đây để tăng tốc tối đa (lệnh này không liên quan đến tăng tốc đồ họa của phần cứng nhỉ ) ZOOMFACTOR = 100 (100 là maximum rồi ) Từ AutoCAD 2006 đến 2008 có thêm hiệu ứng. Để khắc phục điều này. Chỉ số trên và chỉ số dưới Muốn đánh Text trong Autocad mà có mũ trên hoặc dưới thì dùng lệnh gì? Ví dụ H2SO4 Lệnh MTEXT. sau đó dùng Lệnh PasteBlock. Mà zoom chậm thì khó chịu. các bạn sẽ biết mình đang zoom từ đâu . ACAD tự động Purge các anonymous block ra khỏi block table sau mỗi lần mở file. Khi muốn quay trở lại bán kính đang làm thì lại làm lại. Bạn muốn dùng để viết chữ trên đầu. thế là bạn đã có điểm ở giữa. Các bạn dùng lệnh sau: VTOPTIONSTắt bỏ hết 2 dòng option ở trên và ok là xong.. ACAD sẽ hỏi bạn 2 điểm đầu mút. nhả ra thì bán kính fillet lại trở thành bình thường. pline có width dày không che mất các thông tin hatch. . Với block tạo bằng phương pháp này. hì hì.. Mẹo tạo block Nếu bạn muốn tạo một anonymous block (là block không có tên) trong bản vẽ bạn chỉ cần copy các đối tượng mà bạn muốn tạo block bằng cách dùng tổ hợp phím Ctr+C. lệnh fillet sẽ mặc định radius=0. trở lại AutoCAD cũ. Khi bạn xóa đối tượng này. Hãy sử dụng lệnh TEXTTOFRONT. dim. Mẹo hatch Để mảng hatch. họ muốn biến radius về 0 thì lại dùng tham số R rồi gõ vào 0. bạn không cần phải quản lý block (thật ra là không quản lý được). AutoCAD cho bạn chức năng giữ SHIFT. lệnh này đưa toàn bộ text và/hoặc dim lên trước các đối tượng khác.nhập vào mtp hoặc m2p (middle between 2 point). tốc độ zoom trong AutoCAD là khá thấp. bạn cho ký tự mũ (^) vào cuối. hiệu ứng này sẽ gây cảm giác khó chịu Vì vậy tốt hơn hết là tắt béng đi. nhưng nếu không có tăng tốc đồ họa.. zoom không mượt.

Sau đó tô xanh đoạn mà bạn muốn viết kèm cả ký tự mũ. rồi layer mà bạn muốn chuyển tới.. rồi layer mà bạn muốn chuyển tới. Việc này chỉ cần gõ (Filedia và đưa giá trị về 1 la ok)khi bị lỗi thì nó là 0 .Lỗi này có thể do người dùng vô tình hoặc do virus. hay một bản vẽ và nhiều người vẽ hoặc nối các file vào nhau. Lệnh Filedia . Xóa bỏ layer cứng đầu bằng lênh : Laytrans Khi bạn nhận bản vẽ từ người khác. Layer sẽ rất lộn xộn. Trong layer Translator. bạn chỉ định layer trong file hiện hành mà bạn muốn chuyển. Tại dòng lệnh bạn gõ lệnh laytrans Lệnh laytrans trong AutoCAD Khi bạn nhận bản vẽ từ người khác..Bạn muốn dùng để viết chữ dưới chân. Làm sao để đơn giản hoá và tiêu chuẩn hoá layer bản vẽ? Layer trans sẽ là sự lựa chọn tuyệt vời của bạn lúc này. Trường hợp mất hộp thoại mỗi khi gõ lệnh nó sẽ yêu cầu nhập tên . Trong layer Translator.và không hiện ra hộp thoại để xử lý. Làm sao để đơn giản hoá và tiêu chuẩn hoá layer bản vẽ? Layer trans sẽ là sự lựa chọn tuyệt vời của bạn lúc này. Tại dòng lệnh bạn gõ lệnh laytrans Giao diện lệnh laytrans Translate From Chỉ định layer sẽ được chuyển trong bản vẽ hiện hành. Màu sắc phía trước biểu tượng màu của tên layer xác định vị trí ánh xạ hoặc không ánh xạ . hay một bản vẽ và nhiều người vẽ hoặc nối các file vào nhau.. Bạn có thể chỉ định layer bằng cách chọn layer trong danh sách Translate From hoặc bằng cách sử dụng hỗ trợ lọc chọn. bạn cho ký tự mũ (^) vào đầu đoạn. rồi nhấn vào phím a/b trên thanh công cụ mtext. Layer sẽ rất lộn xộn. bạn chỉ định layer trong file hiện hành mà bạn muốn chuyển.

Nếu bạn chọn một layer Translate To trước khi chọn New. #. Cũng như vậy khi bạn load một file chứa ánh xạ layer trùng với file layer gốc. bạn có thể thay đổi plot style cho ánh xạ layer. File . Bảng setting của laytrans Điều khiển quá trình chuyển đổi layer: Force Object Color to BYLAYER: Xác định mỗi đối tượng được chuyển đổi mày sắc theo layer của chúng hay không. layer trùng sẽ bị bỏ qua.. Layer Translation Mappings Liệt kê mỗi layer được chuyển và thuộc tính của mỗi layer sẽ được chuyển đổi. một file log sẽ được tạo trong thư mục chứa bản vẽ chuyển đổi. Tất cả các linetype sử dụng bởi các layer cũng được copy vào file. Ánh xạ Layer được ghi vào file có định dạng DWG hoặc DWS. Save: Lưu ánh xạ chuyển đổi layer hiện hành vào file để sử dụng cho sau này.) cho tên. Bạn có thể thay đổi linetype. thuộc tính layer được chọn sẽ được sử dụng như mặc định của layer mới. Nếu toàn bộ bản vẽ được chuyển sử dụng plot style. màu của mỗi đối tượng theo màu gốc của chúng. Translate: Bắt đầu chuyển đổi layer theo bản đồ ánh xạ bạn vừa chọn.. Nếu option này được chọn. Settings: Mở hộp thoại Setting. Nếu option này không được chọn. những ánh xạ này sẽ được áp dụng cho layer trong danh sách Translate From và hiện thị tại Layer Translation Mappings. mỗi đối tượng mang màu theo layer của chúng. Bạn có thể chọn các layer trong danh sách này và thay đổi thuộc tính sử dụng phím edit. hoặc một file tiêu chuẩn mà bạn chỉ định.trong bản vẽ. Edit: Mở hộp thoại Edit Layer. Nếu bạn tải một file chứa layer cùng tên với layer đã được load. đối tượng nằm trong block sẽ được chuyển và ngược lại. New Định nghĩa một tên layer được hiển thị trong danh sách Translate To để chuyển đổi. Bạn có thể ghi đè vào file có sẵn hoặc tạo một file mới. Nếu bạn chưa lưu bản đồ ánh xạ layer hiện hành. Remove: Loại bỏ ánh xạ chuyển đổi được chọn từ danh sách Layer Translation Mapping. Translate Objects in Blocks: Xác định đối tượng nằm trong block có được chuyển đổi hay không. Nếu được chọn. Một biểu tượng tối xác định rằng layer được ánh xạ. một bản vẽ mẫu. Write Transaction Log: Chỉ định có ghi lại kết quả chi tiết trong file log hay không. để hiệu chỉnh layer bạn cần chuyển. ?. nơi bạn có thể tùy biến quá trình chuyển đổi layer. Các layer không ánh xạ có thể được xóa khỏi bản vẽ bằng cách phải chuột trong danh sách Translate From và chọn Purge Layers. layer gốc sẽ được giữ lại. Bạn không thể tạo một layer mới cùng tên với layer đã có. Bạn có thể tải các layer từ nhiều file. có thể sử dụng ký tự đại diện (VD: *. bạn sẽ được nhắc nhở để lưu bản đồ trước khi thực hiện chuyển đổi. Filter Layer Các layer được chỉ định được chọn trong danh sách Translate From. Load Tải các layer trong danh sách Translate To sử dụng một bản vẽ thường. Nếu option này được chọn.. Layer Translator tạo các layer ánh xạ trong file và chứa bản đồ ánh xạ layer trong mỗi layer. Nếu file được chỉ đỉnh chứa layer mappings. Force Object Linetype to BYLAYER: Giống như trên nhưng là Linetype. màu sắc và lineweight của layer. một biểu tượng trắng xác định layer không ánh xạ.

Thứ 3. Parametric có thể vẽ tự động bất kỳ một đối tượng nào khi ta thiết lập đầy đủ thông số. Thứ 4. Nếu các bạn thự hiện có thắc mắc gì thì cứ post lên diễn đàn hoặc email qua địa chỉ limfx1010@yahoo. Show Layer Contents When Selected: Xác định các layer để hiển thị trong phần bản vẽ. Thứ 2. còn tính toán kết cấu chỉ là phụ thôi.TXT bằng lệnh ATTOUT.exe hoặc dùng file Autodesk AutoCAD 2010. Pass giải nén (nếu có) : 51kd1. Ví dụ đơn giản như là một thanh thép hình chữ nhật có B=H*2. chạy file setup.. Thế là bạn đã có 1 bảng tính thép 1 cách tự động. chỉ những layer được chọn trong hộp thoại Layer Translator hiển thị trong bản vẽ. Mình đang làm việc cho Tecco .iso Bạn mở nó bằng Winrar. mình phải tốn rất nhiều thời gian mà sai sót thì không thể không sảy ra. số thanh. Vấn đề hơi phức tạp với các bạn quen dùng phiên bản cad2007. Đây là tích hợp các chức năng mà mình tiềm hiểu. bạn chỉ cần nhập H=a thì B=a*2 ( các bạn có thể tìm hiểu thêm Help cad). Khi bạn thay đổi các thông số như là số thanh. Các số liệu này bạn phải tự nhập vào ứng với thanh thép của công trình mà bạn thiết kế. bạn xuất các thuộc tính đó sang file . l chiều dài thanh. vì thế vẽ một thanh thép có hình dạng phức tạp một cách tự động trể nên đơn giản.Sau khi download về. Đầu tiên bạn phải cài cad2010 lên và làm quen với nó trước đã.. thì bảng tính sẽ tự động thay đổi khi bạn dùng lệnh DATALINKUPDATE. bạn giải nén ra cùng một thư mục được 1 file Autodesk AutoCAD 2010. khi đi làm khối lượng là rất quan trọng vì nó liên quan đến túi tiền mà. bạn cập nhật bản Excel vào file cad bằng lệnh Insert table/ from s data link/create new excel data link/ chọn đến file Excel mà có chứa bản tính.iso này để burn ra đĩa cài . tất cả layer trong bản vẽ sẽ được hiển thị. copy toàn bộ dán vào bản Excel đã lập trước một bản tính thép tự động. Trên đây mình trình bày hơi dài dòng nhưng các bạn am hiểu cad 2010 thì mọi việc trể nên dễ dàng rất nhiều. bản excel sẽ tự động tính cho ta đầy đủ các thông số mà theo yêu cầu từng đối tượng cụ thể. Nếu option này không được chọn. Bạn có biết chức năng Parametric? Đây là một tính năng mới thể hiện sự ưu việc so với các phiên bản trước. Trên đây là cách thống kê thép tự đọng bằng cad2010 mà mình tự nghĩ ra và đã ứng dụng nhiều trong thiết kế cầu ở các dự án lớn. Và ngược lại..log được gán cùng một tên file chuyển đổi. Mình cũng đã thử rất nhiều chuơng trình thống kê thép nhưng vẫn còn nhược điểm là khi bạn thay đổi một trong các thông số thép thì chuơng trình không tự động thay đổi theo. hoặc chiều dài thanh . bạn phải tạo 1 Attribute với các thuộc tính như là n số thanh.chỉ thống kê 1 lần và xuất ra 1 lần.com HƯỚNG DẪN CÀI ĐẶT: . Nếu option này được chọn.. trước đây khi chua sài cad2010 thì công việc thống kê thép thật đáng sợ khi công trình cầu có mấy trăm loại thanh. a khoảng cách thanh..com mình sẽ giải thích.. D đường kính thanh.

NET Framework Runtime 3.Khi gặp lỗi "setup can't find several help and doc files" thì bỏ qua. .5 SP1 và DirectX 9.Qúa trình cài đặt thành công.Sau đó tiến hành cài đặt Autocad 2010. .Kết thúc quá trình cài đặt. .Bạn kiểm tra lại xem . nhập serial 000-00000000 . bạn copy file adlmint. . Bạn phải chủ động cài nó trước khi cài AutoCAD 2010..Lựa chọn một số thiết lập cài đặt đơn giản và nhấn Next rồi Install.dll từ thư mục \EQX vào thư mục cài đặt Autocad 2010 của bạn trong máy ( thường theo đường dẫn \Program Files\Autodcad 2010 ) .0 Runtime đã được cài trong máy của bạn chưa.

Master your semester with Scribd & The New York Times

Special offer for students: Only $4.99/month.

Master your semester with Scribd & The New York Times

Cancel anytime.